NAME
	calling_function - find the name of the function that is calling us

SYNOPSIS
	string calling_function(int previous_count = 0)

DESCRIPTION
	This function returns the name of the function in the calling
	chain that corresponds to "previous_count". For the purpose of 
	this function each call is counted, not just call_others.
	
	Please note that "previous_count should be a negative number, or 0.

	If there is no calling object corresponding to "previous_count" the
	return value is 0.

SEE ALSO
	previous_object, calling_object, calling_program


